MAPI
AudioSuno

Create Custom Model

Submit this Suno capability through POST /v1/music/generations with model: "suno-create-model". Provide 6–24 public audio_urls. After success, use result.model_id as custom_model_id.

POST
/v1/music/generations

Authorization

BearerAuth

AuthorizationBearer <token>

使用 MAPI Bearer Token 认证。格式:Authorization: Bearer sk-xxxxxx。

In: header

Request Body

application/json

model*string

固定填写 suno-create-model。

name*string

自定义模型名称,必填。

audio_urls*array<string>

6–24 条公网可访问的音频直链。

Items6 <= items <= 24

Response Body

application/json

application/json

curl -X POST "https://loading/v1/music/generations" \  -H "Content-Type: application/json" \  -d '{    "model": "suno-create-model",    "name": "温暖民谣模型",    "audio_urls": [      "https://example.com/ref-01.mp3",      "https://example.com/ref-02.mp3",      "https://example.com/ref-03.wav",      "https://example.com/ref-04.m4a",      "https://example.com/ref-05.mp3",      "https://example.com/ref-06.mp3"    ]  }'
{
  "code": 200,
  "message": "success",
  "data": [
    {
      "status": "submitted",
      "task_id": "task_01M24YMN4EV04M84R5QYM77R1E"
    }
  ]
}
{
  "code": "invalid_request",
  "message": "create-model requires 6-24 audio_urls, got 2",
  "data": null
}

Last updated on